*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  height: auto;
  width: 100%;
  overflow-x: hidden;
}

body {
  height: 100%;
  font-family: $font-primary, sans-serif;
  background-color: $beige;
  overflow-x: hidden;
  -webkit-overflow-scrolling: auto;
}

.container {
  $padding: 120px;
  padding-left: $padding;
  padding-right: $padding;
  // max-width: calc(1200px + $padding);


  @include media-breakpoint-down(lg) {
    padding-left: 20px;
    padding-right: 20px;
  }
}

p {
  font-family: $font-primary;
  font-size: 16px;
  line-height: 26px;
  color: $black-100;
  opacity: .6;
  margin: 0;

  @include media-breakpoint-down(md) {
    font-size: 16px;
    line-height: 21px;
  }
}

a {
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
}

h1, h2, h3, h4, h5, h6 {
  font-family: $font-primary;
  margin-bottom: 0;
}

button, textarea, input {
  outline: none;
}

h1 {
  font-weight: 700;
  font-size: 48px;
  line-height: 72px;
  color: $white;

  @include media-breakpoint-down(sm) {
    font-size: 36px;
    line-height: 48px;
  }
}

ul { 
  margin: 0;
  padding: 0;

  &.styled-points {
    list-style: none;
    margin-left: 12px;
    
    li {
        display: flex;
        position: relative;
        align-items: center;

        &::before {
            content: "\2022";
            color: #777772;
            font-weight: bold;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            position: absolute;
            top: 0%;
            margin-left: -1rem;
        }
    }
  }
}

img {
  pointer-events: none;
  height: auto;
}

.title {
  font-family: $Aileron-700;
  font-size: 48px;
  line-height: 58px;
  color: $black-100;

  @include media-breakpoint-down(sm) {
    font-size: 24px;
    line-height: 29px;
  }
}

.subtitle {
  font-family: $Caveat-700;
  font-size: 48px;
  line-height: 61px;
  color: $orange;
  
  @include media-breakpoint-down(sm) {
      font-size: 24px;
      line-height: 31px;
  }
}

// .modal {

//   &-content {
//     border: none;
//     min-width: 526px;
//     border-radius: 40px;
//     padding: 0 50px;

//     @include media-breakpoint-down(sm) {
//       min-width: 100%;
//       padding: 0 16px;
//     }
//   }

//   &-header {
//     justify-content: center;
//     border: none;

//     .close {
//       margin: 0;
//       font-size: 50px;
//       position: absolute;
//       top: 14px;
//       right: 30px;
//       padding: 0;
//     }
//   }
//   &-title {
//     text-align: center;
//     margin-top: 40px;
//   }

//   &-body {
    
//     form {

//       label {
//         color: $blue-font;
//         font-weight: 500;
//         font-size: 14px;
//         line-height: 17px;
//       }

//       input, textarea {
//         background: #F4F7FF;
//         border-radius: 8px;  
//         color: $black;
//         padding: 31px 16px;
//         font-weight: 400;
//         font-size: 16px;
//         margin-bottom: 24px;
//         border: none;
        
//         &::placeholder {
//           color: $gray;
//         }
//       }
//     }
//   }

//   &-footer {
//     border: none;

//     .button {
//       margin: 0 auto;
//       padding: 0px 186px;
      
//       @include media-breakpoint-down(sm) {
//         padding: 0;
//         width: 100%;
//       }
//     }
//   }
// }